<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Добавить фильм</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">Добавить новый фильм</h3>
    <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/add}" th:object="${filmForm}">
        <div class="mb-3">
            <label for="title" class="form-label">Название</label>
            <!--Название поля инпута должно строго соответствовать названию поля класса (DTO)-->
            <input name="filmTitle" type="text" class="form-control" id="title" required>
            <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
        <div class="mb-3">
            <label for="premier" class="form-label">Год премьеры</label>
            <input name="premierYear" type="number" class="form-control" id="premier" required>
            <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
        <div class="mb-3">
            <label for="country" class="form-label">Страна</label>
            <input name="country" type="text" class="form-control" id="country" required>
            <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
        <div class="mb-3">
            <label for="genre" class="form-label">Жанр</label>
            <select class="form-select" name="genre" id="genre">
                <option selected>Выберете жанр из списка:</option>
                <option th:each="genre : ${T(com.sber.java13spring.java13springproject.film.model.Genre).values()}"
                        th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
            </select>
            <div class="invalid-feedback">Обязательное поле для заполнения</div>
        </div>
        <button type="submit" class="btn btn-primary" onclick="validateForm()">Добавить</button>
        <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
    </form>
</div>
</body>
</html>
